%global momorel 4

## Octave-forge installs in a directory tree specific to the installed
## version of octave, so the following version dependency is necessary.
#%%global octave_ver %(rpm -q --qf '%%{version}' octave)
%global octave_ver 2.1.73

Name:           octave-forge
Version:        2006.03.17
Release:        %{momorel}m
Summary:        Contributed functions for octave
Group:          Applications/Engineering
License:        GPL and BSD
URL:            http://octave.sourceforge.net/
Source0:        http://dl.sourceforge.net/sourceforge/octave/%{name}-%{version}.tar.gz
NoSource: 0
Patch0:         %{name}-2005.06.13-legend.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:	octave = %{octave_ver} ImageMagick
Requires:       qhull netcdf hdf5 ginac fftw3 gsl
BuildRequires:  octave-devel = %{octave_ver} gcc-gfortran
BuildRequires:  ginac-devel fftw3-devel gsl qhull-devel netcdf hdf5-devel
#BuildRequires:  xorg-x11-devel 
BuildRequires:  libjpeg-devel libpng-devel zlib-devel
BuildRequires:  ncurses-devel libtermcap-devel tetex
BuildRequires:  readline-devel >= 5.0
BuildRequires:  pcre-devel

%description
Octave-forge is a community project for collaborative development of
octave extensions. The extensions in this package include additional
data types such as sparse matrices, and functions for a variety of
different applications including signal and image processing,
communications, control, optimization, statistics, geometry, and
symbolic math.

%prep
%setup -q
%patch0 -p0
# remove nonfree stuffs
rm -rf nonfree/*

%build
%configure
make

%install
rm -rf %{buildroot}
%define host_type %(echo "disp(octave_config_info('canonical_host_type'))" | octave -qf)
%define site_dir octave/%{octave_ver}/site
make install prefix=%{buildroot}%{_prefix} \
	bindir=%{buildroot}%{_bindir} \
	mandir=%{buildroot}%{_mandir} \
        libdir=%{buildroot}%{_libdir} \
	MPATH=%{buildroot}%{_datadir}/%{site_dir}/m/octave-forge \
	OPATH=%{buildroot}%{_libexecdir}/%{site_dir}/oct/%{host_type}/octave-forge \
	XPATH=%{buildroot}%{_libexecdir}/%{site_dir}/exec/%{host_type} \
	ALTPATH=%{buildroot}%{_datadir}/%{site_dir}/octave-forge-alternative/m \
	ALTMPATH=%{buildroot}%{_datadir}/%{site_dir}/octave-forge-alternative/m/octave-forge \
	ALTOPATH=%{buildroot}%{_libexecdir}/%{site_dir}/octave-forge-alternative/oct/%{host_type}

# for documentation
mkdir -p docs_main
cp -rf main/audio/aurecord.1 docs_main
cp -rf main/comm/doc docs_main/doc_comm
cp -rf main/econometrics/README docs_main/README.econometrics
cp -rf main/fixed/doc docs_main/doc_fixed
mkdir -p docs_main/doc_geometry
cp -rf main/geometry/{README,AUTHORS,TODO,ChangeLog} docs_main/doc_geometry
cp -rf main/gsl/README docs_main/README.gsl
cp -rf main/image/devel docs_main/devel.image
cp -rf main/irsa/README docs_main/README.irsa
cp -rf main/optim/doc docs_main/doc_optim
cp -rf main/sparse/README docs_main/README.sparse
#cp -rf main/struct/README docs_main/README.struct
cp -rf main/symbolic/doc docs_main/doc_symbolic
cp -rf main/vrml/doc docs_main/doc_vrml
cp -rf main/vrml/data docs_main/doc_vrml
mkdir -p docs_extra
mkdir -p docs_extra/doc_graceplot
cp -rf extra/graceplot/{README,TODO} docs_extra/doc_graceplot
mkdir -p docs_extra/doc_integration
cp -rf extra/integration/README* docs_extra/doc_integration
cp -rf extra/linear-algebra/README docs_extra/README.linear-algebra
cp -rf extra/MacOSX/README docs_extra/README.MacOSX
mkdir -p docs_extra/doc_mex
cp -rf extra/mex/{README,TODO,INSTALL} docs_extra/doc_mex
cp -rf extra/ode/readme.txt docs_extra/README.ode
cp -rf extra/pdb/README docs_extra/README.pdb
mkdir -p docs_extra/doc_symband
cp -rf extra/symband/SymBandDoc* docs_extra/doc_symband
cp -rf extra/tsa/README.TXT docs_extra/README.TXT

# conflict with tetex
rm -rf %{buildroot}/%{_bindir}/mex
rm -rf %{buildroot}%{_mandir}/man1/mex*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING* README RELEASE-NOTES TODO
%doc doc/*.html doc/coda/*.sgml doc/coda/appendices/*.sgml
%doc doc/coda/oct/*.sgml doc/coda/standalone/*.sgml
%doc docs_main docs_extra
%{_datadir}/octave/*/*/*/octave-forge
%{_datadir}/octave/*/*/octave-forge-alternative
%{_libexecdir}/octave/*/*/*/*/aurecord
%{_libexecdir}/octave/*/*/*/*/rasmol.sh
%{_libexecdir}/octave/*/*/*/*/octave-forge
#%{_bindir}/mex
#%{_mandir}/man1/mex*


%changelog
* Thu Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2006.03.17-4m)
- rebuild against readline-5.0

* Thu Jun  8 2006 Kazuhiko <kazuhiko@fdiary.net>
- (2006.03.17-3m)
- BuildRequires: texi2html -> tetex

* Wed Jun 07 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2006.03.17-2m)
- revised %%files to avoid a confriction of directries with octave

* Wed May 17 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2006.03.17-1m)
- import to Momonga
- - this package provides MatLab compatibility to some extent.

* Thu Apr 20 2006 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (2006.03.17-0.0.1m)
- update to 2006.03.17

* Tue Jun 28 2005 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (2005.06.13-0.0.1m)
- build for Momonga
- based on octave-forge-2005.06.13-6.fc4.src.rpm

* Wed Jun 22 2005 Quentin Spencer <qspencer@users.sf.net> 2005.06.13-6
- Rebuild.

* Fri Jun 17 2005 Quentin Spencer <qspencer@users.sf.net> 2005.06.13-1
- New upstream release. Now requires pcre-devel to build.
- Corrected instructions on creating patched source tarball.
- Cleanup of unneeded things in build section
- Add patch for problem with main/plot/legend.m
- Add fftw3-devel to BuildRequires.

* Fri Jun  3 2005 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-8
- Remove explicit BuildRequires for c++ compiler and libs
  (not needed and causes build failure in the build system for x86_64).

* Mon Apr 25 2005 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-7
- Changed license (some functions are GPL, BSD, and public domain,
  so the collection is licensed as public domain).
- Moved ugly path hacks from build to install so that RPM_BUILD_ROOT
  doesn't end up in the code (which it did before).
- Replaced upstream tarball with patched version that removed GPL
  incompatible code.

* Thu Apr 21 2005 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-6
- Added GiNaC-devel BuildRequires

* Tue Mar 29 2005 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-5
- Rebuild for octave-2.1.69

* Mon Mar 28 2005 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-4
- Rebuild for octave-2.1.68

* Thu Feb 24 2005 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-3
- Updated spec file to get octave version at build time.

* Wed Nov 17 2004 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-2
- Revised package description.

* Tue Jun 15 2004 Quentin Spencer <qspencer@users.sf.net>
- Added qhull support.

* Tue Feb  4 2003 Quentin Spencer <qspencer@users.sf.net>
- First Version, loosely based on Red Hat's spec file for octave.
